Bug 806045 - [REST API] Domain misses the rhc-domain property
[REST API] Domain misses the rhc-domain property
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 14:09 EDT by Andre Dietisheim
Modified: 2015-05-14 21:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Dietisheim 2012-03-22 14:09:32 EDT
In the former service implementation one would have to build the application url using the

1) application name
2) domain/namespace
3) domain/rhc-domain

As stated in https://bugzilla.redhat.com/show_bug.cgi?id=806004 it would be preferrable to have the construction logic opaque to clients. 
But even if the new REST-service would not require clients to build the application url, I still guess that the rhc-domain is a property that one would like to get reported.

The very same applies to the construction of the git uri file in https://bugzilla.redhat.com/show_bug.cgi?id=805997
Comment 1 Lili Nader 2012-03-23 18:48:34 EDT
added suffix

<response>
  <status>ok</status>
  <type>domain</type>
  <domain>
    <suffix>dev.rhcloud.com</suffix>
    <namespace>abc</namespace>
    <links>
Comment 2 Meng Bo 2012-03-26 05:39:44 EDT
verified on devenv_1672,
issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.